package w83b.w83bManager;


public interface W83bIRegistroDefinitivo {
	
	/**
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public w83b.w83bBeans.W83bRegistroDefinitivoBean comprobarFechaRegistro(java.lang.String param) throws Exception;
	
	/**
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public java.lang.String calcularNumeroRegistro(w83b.w83bBeans.W83bRegistroDefinitivoBean param) throws Exception;
	
	/**
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public java.util.HashMap realizarRegistroDefinitivo(java.util.HashMap param) throws Exception;
	
	/**
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public java.util.HashMap consultarActasRegistroDefinitivo(w83b.w83bBeans.W83bRegistroDefinitivoBean param) throws Exception;
	
	public java.util.HashMap deshacerRegistro(w83b.w83bBeans.W83bRegistroDefinitivoBean param) throws Exception;
	
	public java.lang.String modificarRegistro(java.util.HashMap param) throws Exception;
	
	public java.lang.String regCambiarEstadoInc(java.util.HashMap param) throws Exception;
}
